<!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.0//EN" "http://www.wapforum.org/DTD/xhtml-mobile10.dtd">
<meta http-equiv="content-type" content="text/html; charset=windows-1251" />
<meta forua="true" http-equiv="Cache-Control" content="no-cache,no-store,must-revalidate"/>
<title>проверка секрета</title>
</head>
<link rel="stylesheet" href="styleN.css" type="text/css" />
<div class="heads">
<b>«проверка секрета»</b>
</div>
<div class="menu">
<?
$secret=$_POST['secret'];
$NICK=$_POST['NICK'];
$ip = $_SERVER['REMOTE_ADDR'];
include("db.php");
$db->openDB();
$query=mysql_query("SELECT * FROM users WHERE NICK='$NICK' AND secret='$secret'");
@$row = mysql_fetch_assoc($query);
    if (isset($row['NICK'])) {
        echo "<div class = \"up\" >
</div>
<div class=\"body\">секрет введен верно!<br/>Ваши данные записанны и теперь вы можете ";print("<br/><a href=\"game.php?NICK=$NICK\">войти в игру</a><div class=\"menu\"></div>");        
$query=mysql_query("UPDATE users SET ip=\"$ip\" WHERE NICK=\"$NICK\"");
        exit;
    }
   
    else 
    $query2=mysql_query("SELECT * FROM users WHERE NICK='$NICK' AND secret!='$secret'");

    while($row2=mysql_fetch_assoc($query2)){
        if($row2[error_input]>=5){echo"<div class = \"up\" >
</div>
<div class=\"body\">вы заблокированны!</div><div class = 'foot' >";die;}       

        $total=$row2[error_input]+1;
    echo"<div class = \"up\" >
</div>
<div class=\"body\">секретный код не совпадает!попыток $row2[error_input] из 5</div><div class = 'foot' >";
$query=mysql_query("UPDATE users SET error_input=\"$total\" WHERE NICK=\"$NICK\"");
}
?>
</div><div class="f_bg">
</body>
</html>
